Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Persistence/Legacy/URL/Query/CriterionHandler/LogicalNot.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
8
9 use eZ\Publish\API\Repository\Values\URL\Query\Criterion;
10 use eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter;
11 use eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
12 use eZ\Publish\Core\Persistence\Database\SelectQuery;
13
14 class LogicalNot implements CriterionHandler
15 {
19 public function accept(Criterion $criterion)
20 {
21 return $criterion instanceof Criterion\LogicalNot;
22 }
23
27 public function handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
28 {
29 return $query->expr->not(
30 $converter->convertCriteria($query, $criterion->criteria[0])
31 );
32 }
33 }
eZ\Publish\API\Repository\Values\URL\Query\Criterion\LogicalNot
Definition: API/Repository/Values/URL/Query/Criterion/LogicalNot.php:12
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion.php:10
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter
Definition: Persistence/Legacy/URL/Query/CriteriaConverter.php:14
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter\convertCriteria
convertCriteria(SelectQuery $query, Criterion $criterion)
Generic converter of criteria into query fragments.
Definition: Persistence/Legacy/URL/Query/CriteriaConverter.php:52
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalNot\handle
handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
{Generate query expression for a Criterion this handler accepts.accept() must be called before callin...
Definition: Core/Persistence/Legacy/URL/Query/CriterionHandler/LogicalNot.php:27
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalNot\accept
accept(Criterion $criterion)
{Check if this criterion handler accepts to handle the given criterion.bool}
Definition: Core/Persistence/Legacy/URL/Query/CriterionHandler/LogicalNot.php:19
eZ\Publish\Core\Persistence\Database\SelectQuery
Definition: SelectQuery.php:16
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler.php:13
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion/LogicalAnd.php:7
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.